QXmpp Version:0.7.6

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppServerPlugin Class Reference

The QXmppServerPlugin class is the base class for QXmppServer plugins. More...

`#include <QXmppServerPlugin.h>`

Inherits QXmppServerPluginInterface.

## Public Member Functions

virtual QXmppServerExtension * | create (const QString &key)=0
virtual QStringList | keys () const =0
Public Member Functions inherited from QXmppServerPluginInterface
virtual QXmppServerExtension * | create (const QString &key)=0
| Creates the server extension identified by key.
virtual QStringList | keys () const =0
| Returns a list of valid extension keys.

## Detailed Description

The QXmppServerPlugin class is the base class for QXmppServer plugins.

## Member Function Documentation

virtual QXmppServerExtension* QXmppServerPlugin::create | ( | const QString & | key | ) |

pure virtual

Creates and returns the specified QXmppServerExtension.

Parameters

  key | The key for the QXmppServerExtension.

virtual QStringList QXmppServerPlugin::keys | ( |  | ) | const

pure virtual

Returns the list of keys supported by this plugin.

The documentation for this class was generated from the following file:

- QXmppServerPlugin.h